org.apache.mina.integration.beans

## Class PropertyEditorFactory

- java.lang.Object
- - org.apache.mina.integration.beans.PropertyEditorFactory

-     public final class PropertyEditorFactory
      extends Object

  A factory that creates a new `PropertyEditor` which is appropriate for the specified object or class.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyEditor` | `getInstance(Class<?> type)`
    `static PropertyEditor` | `getInstance(Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PropertyEditor getInstance(Object object)

    - #### getInstance

          public static PropertyEditor getInstance(Class<?> type)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.